Latest 0.1.8
Homepage https://github.com/netmaid/VNStateMachine
License MIT
Platforms ios 6.0, requires ARC

CI Status
Version
License
Platform

Usage

Requirements

  • Objective-C
  • iOS 6.0 or later
  • Mac OS 10.9 or later

Installation

CocoaPods

  • Insert pod "VNStateMachine" to your Podfile.
  • Run pod install.

License

VNStateMachine is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "VNStateMachine",
    "version": "0.1.8",
    "summary": "An Object-based State Machine for Objective-C.",
    "description": "The object-based state is usable for complicated state machine,n moreover message dispatcher is important to make simple staten management in state machine.",
    "homepage": "https://github.com/netmaid/VNStateMachine",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": "Chungmin Ahn",
    "source": {
        "git": "https://github.com/netmaid/VNStateMachine.git",
        "tag": "v0.1.8"
    },
    "platforms": {
        "ios": "6.0"
    },
    "source_files": "VNStateMachine/**/*.{h,m,mm}",
    "public_header_files": "VNStateMachine/**/*.h",
    "requires_arc": true,
    "libraries": "stdc++.6"
}

Pin It on Pinterest

Share This